/* common */
.discount-rate span {
    color: var(--semantic-accent-red);
}
.price-discount-detail {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 4px;
}
.price-value-before {
    text-decoration: line-through;
}
.total-score span {
    font-size: var(--font-size-14);
    font-weight: var(--font-weight-bold);
}
@media screen and (max-width: 767px) {
    .price-discount-detail .price-value-after {
        font-size: var(--font-size-18);
    }
}
/* horizontal */
.card-horizontal {
    display: flex;
    flex-direction: row;
    gap: 32px;
}
.card-horizontal-item {
    min-width: 352px;
    width: 352px;
    height: auto;
    position: relative;
}
.card-horizontal-item a {
    color: inherit;
}
.card-horizontal-item img {
    display: block;
}
.card-horizontal-item p {
    color: var(--semantic-base-background);
    text-shadow: 1px 1px 1px #000;
}
.card-horizontal-img img {
    width: 100%;
    height: 190px;
    object-fit: cover;
    border-radius: 8px;
    display: block;
}
.card-horizontal-text {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 0;
    width: 100%;
    padding: 0 16px 8px;
    background: linear-gradient(to bottom, transparent, rgba(0, 0, 0, 0.6));
    border-radius: 0 0 8px 8px;
}
.card-horizontal-name {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    overflow: hidden;
    font-size: var(--font-size-16);
    font-weight: var(--font-weight-bold);
}
.card-horizontal-value {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.card-horizontal-item .price-discount-detail {
    gap: 8px;
}
.card-horizontal-item .price-value-before {
    color: var(--semantic-primary-border);
}
.card-horizontal-item .price-value-after {
    font-size: var(--font-size-16);
    font-weight: var(--font-weight-bold);
    line-height: var(--line-height-150);
}
@media screen and (max-width: 767px) {
    .card-horizontal-item {
        min-width: 280px;
        width: 280px;
    }
    .card-horizontal .discount-rate span,
    .card-horizontal .discount-rate p {
        font-size: var(--font-size-10);
    }
}
@media (hover: hover) {
    .card-horizontal-item a:hover {
        opacity: 0.7;
    }
}
